Skip to main content
POST
/
api
/
integration-sources
/
{source_id}
/
databases
/
{database_id}
/
generate-description
Generate Database Description
curl --request POST \
  --url https://config.heyhumm.ai/api/integration-sources/{source_id}/databases/{database_id}/generate-description \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cascade_schemas": true,
  "overwrite_existing": false
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://heyhumm.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

source_id
string<uuid> | null
required
database_id
string<uuid>
required

Query Parameters

organization_id
string<uuid> | null
resource_id
string<uuid> | null
integration_source_id
string<uuid> | null
data_source_id
string<uuid> | null
context_source_id
string<uuid> | null
job_id
string<uuid> | null

Body

application/json

Request for single database description generation.

cascade_schemas
boolean
default:true

Generate missing schema/table/column descriptions first

overwrite_existing
boolean
default:false

Regenerate description even if one already exists

Response

Successful Response